import csv
import numpy as np
import pandas as pd
from scipy.cluster.hierarchy import linkage
from scipy.cluster.hierarchy import dendrogram
import matplotlib.pyplot as plt

fl_nm = input('Input Data file (*.csv) = ')
with open(fl_nm, 'r') as f:
    raw_data = [v for v in csv.reader(f)]

ItemLabels = []
for i in range(1, len(raw_data[0])):
    ItemLabels.append(raw_data[0][i])

print(ItemLabels)
n_items = len(ItemLabels)

Person = []
Data = []
n = 0
for i in range(1, len(raw_data)):
    Person.append('P-' + raw_data[i][0])
    Data.append([])
    for j in range(1, n_items + 1):
        Data[n].append(int(raw_data[i][j]))
    n += 1
    
df = pd.DataFrame(np.array(Data).T, columns = Person, index = ItemLabels)

print(df)

row_clusters = linkage(df.values, method = 'ward')

fig = plt.figure(figsize = (8, 8), facecolor = 'white')
row_dendr = dendrogram(row_clusters, labels = ItemLabels,
                       orientation = 'right')
plt.show()
